Bug 2786 - Unable to boot with installation kernel/ramdisk on Alpha Jensen system
Unable to boot with installation kernel/ramdisk on Alpha Jensen system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.0
alpha Linux
high Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-13 11:11 EDT by max.silakov
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 14:35:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description max.silakov 1999-05-13 11:11:30 EDT
So, I own a Jensen alpha system with installed RedHat 5.2
and decided to upgrade it to RedHat 6.0
Due to broken design Jensen cannot boot from floppy, and
also don't support "long" commands in SRM console. But all
it's not important for me - cause - I have no RedHat 6.0 CD
(so cannot boot from it), and I already have Linux runnig
on Jensen, so I just planned to boot with new ramdisk and
perfom FTP installation. So, I made new ramdisk from RedHat
6.0 Alpha, then from aboot issued command: 0/a
root=/dev/fd0 load_ramdisk=1 ... The kernel was old stock
2.0.32 - it worked fine with RedHat 5.2 ramdisk - but it
coludn't boot new ramdisk. So, I took generic.gz kernel
from RedHat 6.0 - place it on my root partition and tried
to boot from it with ramdisk - the kernel hang after
starting of kswapd... So, I build my own kernel (2.2.7 with
all my hardware support, ramdisk and etc - my system work
fine with this kernel) - then tried to boot ramdisk with
this kernel - after some period of loading ramdisk the
system just fall back silently to SRM console. BTW - this
kernel boots with ramdisk from RedHat 5.2 just fine.

Conclusion - I think that there are some problems at least
in ramdisk.img (but in generic.gz too) that prevents to
start installation/update of RedHat 6.0 on Jensen Alpha
systems...
Comment 1 max.silakov 1999-05-18 11:34:59 EDT
UPDATE: 1999-05-18
So, this is my (Max.Silakov@srm.ru) comments on this bug - I'm sorry -
 but actually ramdisk works fine - I didn't know that now ramdisk
uses ROMFS not EXT2, so I simply not compiled in support for this
feature.
BUT !!!!! GENERIC.GZ kernel in RedHat 6.0 distributin NOT WORKING
with Jensen Alpha System. I could start installation/update ONLY
using my own built of kernel....The bug still exist.
Comment 2 Jay Turner 1999-05-19 13:07:59 EDT
We do not have a Jensen in the test lab. but I am putting this in the
list of things to look at in updated boot disks.
Comment 3 mchampig 1999-10-13 14:11:59 EDT
If you did have a Jensen donated to you, would you test/develop on
it? I may be able to get one for you.

Note You need to log in before you can comment on or make changes to this bug.